Loading...
Searching...
No Matches
pcl::ReferenceFrame Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::ReferenceFrame:

## Public Member Functions

constexpr | ReferenceFrame (const _ReferenceFrame &p)
constexpr | ReferenceFrame ()
constexpr | ReferenceFrame (const float(&_rf)[9])
Public Member Functions inherited from pcl::_ReferenceFrame
Eigen::Map< Eigen::Vector3f > | getXAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getXAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getYAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getYAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getZAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getZAxisVector3fMap () const
Eigen::Map< Eigen::Matrix3f > | getMatrix3fMap ()
const Eigen::Map< const Eigen::Matrix3f > | getMatrix3fMap () const

## Friends

std::ostream & | operator<< (std::ostream &os, const ReferenceFrame &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_ReferenceFrame
union { |
float rf [9] |
struct { |
float x_axis [3] |
float y_axis [3] |
float z_axis [3] |
} |
}; |

## Detailed Description

Definition at line 1377 of file point_types.hpp.

## Constructor & Destructor Documentation

## ReferenceFrame() [1/3]

pcl::ReferenceFrame::ReferenceFrame | ( | const _ReferenceFrame & | p | ) |

inline constexpr

Definition at line 1379 of file point_types.hpp.

References ReferenceFrame(), and pcl::_ReferenceFrame::rf.

Referenced by operator<<, and ReferenceFrame().

## ReferenceFrame() [2/3]

pcl::ReferenceFrame::ReferenceFrame | ( |  | ) |

inline constexpr

Definition at line 1385 of file point_types.hpp.

## ReferenceFrame() [3/3]

pcl::ReferenceFrame::ReferenceFrame | ( | const float(&) | _rf[9] | ) |

inline constexpr

Definition at line 1394 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const ReferenceFrame & | p )

friend

References PCL_MAKE_ALIGNED_OPERATOR_NEW, and ReferenceFrame().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp